Bug 1702109 - [abrt] recoll: parse(): ole.py:175:parse:Exception: OLE: bad signature
Summary: [abrt] recoll: parse(): ole.py:175:parse:Exception: OLE: bad signature
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b3475af781c013ada6a557634f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-23 00:34 UTC by kxra
Modified: 2019-05-07 14:23 UTC (History)
2 users (show)

Fixed In Version: recoll-1.25.15-1.fc28 recoll-1.25.15-1.fc30 recoll-1.25.15-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 04:49:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (758 bytes, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details
File: cgroup (331 bytes, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details
File: cpuinfo (1.46 KB, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details
File: environ (4.51 KB, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details
File: mountinfo (3.68 KB, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details
File: namespaces (129 bytes, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details
File: open_fds (341 bytes, text/plain)
2019-04-23 00:34 UTC, kxra
no flags Details

Description kxra 2019-04-23 00:34:39 UTC
Version-Release number of selected component:
recoll-1.25.11-1.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/share/recoll/filters/ppt-dump.py --no-struct-output --dump-text /home/kyra/repos/debian-bacula/bacula/po/bacula.pot
crash_function: parse
exception_type: Exception
executable:     /usr/share/recoll/filters/ppt-dump.py
interpreter:    python3-3.7.3-1.fc30.x86_64
kernel:         5.0.8-300.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
ole.py:175:parse:Exception: OLE: bad signature

Traceback (most recent call last):
  File "/usr/share/recoll/filters/ppt-dump.py", line 127, in <module>
    main(sys.argv)
  File "/usr/share/recoll/filters/ppt-dump.py", line 121, in main
    if not dumper.dump():
  File "/usr/share/recoll/filters/ppt-dump.py", line 42, in dump
    strm = pptstream.PPTFile(file.read(), self.params)
  File "/usr/share/recoll/filters/msodump.zip/msodumper/pptstream.py", line 28, in __init__
    self.pos = self.header.parse()
  File "/usr/share/recoll/filters/msodump.zip/msodumper/ole.py", line 175, in parse
    raise Exception("OLE: bad signature")
Exception: OLE: bad signature

Local variables in innermost frame:
self: <msodumper.ole.Header object at 0x7fb8fdbc0978>

Comment 1 kxra 2019-04-23 00:34:41 UTC
Created attachment 1557302 [details]
File: backtrace

Comment 2 kxra 2019-04-23 00:34:41 UTC
Created attachment 1557303 [details]
File: cgroup

Comment 3 kxra 2019-04-23 00:34:42 UTC
Created attachment 1557304 [details]
File: cpuinfo

Comment 4 kxra 2019-04-23 00:34:43 UTC
Created attachment 1557305 [details]
File: environ

Comment 5 kxra 2019-04-23 00:34:44 UTC
Created attachment 1557306 [details]
File: mountinfo

Comment 6 kxra 2019-04-23 00:34:44 UTC
Created attachment 1557307 [details]
File: namespaces

Comment 7 kxra 2019-04-23 00:34:45 UTC
Created attachment 1557308 [details]
File: open_fds

Comment 8 Fedora Update System 2019-04-28 18:03:15 UTC
recoll-1.25.15-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7abe176067

Comment 9 Fedora Update System 2019-04-28 18:03:22 UTC
recoll-1.25.15-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4787f16d2

Comment 10 Fedora Update System 2019-04-28 18:03:28 UTC
recoll-1.25.15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3167666fa

Comment 11 Fedora Update System 2019-04-29 03:00:22 UTC
recoll-1.25.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3167666fa

Comment 12 Fedora Update System 2019-04-29 04:09:22 UTC
recoll-1.25.15-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7abe176067

Comment 13 Fedora Update System 2019-04-29 17:40:40 UTC
recoll-1.25.15-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4787f16d2

Comment 14 Fedora Update System 2019-05-07 04:49:56 UTC
recoll-1.25.15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-07 05:41:28 UTC
recoll-1.25.15-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-07 14:23:38 UTC
recoll-1.25.15-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.